AbstractAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.AbstractAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule
Class AbstractAgent

    java.lang.Object
      org.mule.AbstractAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

Direct Known Subclasses:
  AbstractNotificationLoggerAgent, ConfigScannerAgent, DefaultJmxSupportAgent, JdmkAgent, JmxAgent, Log4jAgent, Mx4jAgent, RemoteDispatcherAgent, RmiRegistryAgent, WrapperManagerAgent

    public abstract class AbstractAgent

extends Object
implements Agent, MuleContextAware

Implements common methods for all Agents. Importantly, the Management context is made available to Agents that extend this.

Field Summary
`protected MuleContext` | `muleContext`
`protected String` | `name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`protected` | `AbstractAgent(String name)`

Method Summary
`List` | `getDependentAgents()`
`String` | `getDescription()` Should be a 1 line description of the agent
`String` | `getName()` Gets the name of the object
`abstract void` | `initialise()` Method used to perform any initialisation work.
`void` | `setMuleContext(MuleContext context)`
`void` | `setName(String name)` Sets the name of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.agent.Agent
`registered, unregistered`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### muleContext

    protected MuleContext muleContext

### name

    protected String name

Constructor Detail

### AbstractAgent

    protected AbstractAgent(String name)

Method Detail

### getName

    public final String getName()

  Description copied from interface: `NamedObject`
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public final void setName(String name)

  Description copied from interface: `NamedObject`
  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

### getDescription

    public String getDescription()

  Description copied from interface: `Agent`
  Should be a 1 line description of the agent

  Specified by:
    `getDescription` in interface `Agent`
  Returns:

### getDependentAgents

    public List getDependentAgents()

  Specified by:
    `getDependentAgents` in interface `Agent`
  Returns:
    List of Class objects (agent classes) that this Agent requires to be started before it can start itself. The implementation of this class may never return `null`.

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### initialise

    public abstract void initialise()
                             throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.